.compatibility:
  stage: Compatibility
  cache: {}
  dependencies: []
  needs:
    # jobs:node v13:needs config uses invalid types: bridge
    #- stage: 'Test'
    - 'Lint'
    - 'Unit'
    - "Vulnerabilities"
  script:
    - 'npm ci'
    - 'npm run -s ci:test'

Node v15:
  extends: .compatibility
  image: node:15-alpine

Node v14:
  extends: .compatibility
  image: node:14-alpine

Node v12:
  extends: .compatibility
  image: node:12-alpine

Node v10:
  extends: .compatibility
  image: node:10-alpine
